[**Headlamp Sealed Secrets API v0.2.0**](../../README.md)

***

[Headlamp Sealed Secrets API](../../README.md) / lib/controller

# lib/controller

## Interfaces

- [ControllerHealthStatus](interfaces/ControllerHealthStatus.md)

## Functions

- [getControllerProxyURL](functions/getControllerProxyURL.md)
- [fetchPublicCertificate](functions/fetchPublicCertificate.md)
- [verifySealedSecret](functions/verifySealedSecret.md)
- [rotateSealedSecret](functions/rotateSealedSecret.md)
- [getPluginConfig](functions/getPluginConfig.md)
- [savePluginConfig](functions/savePluginConfig.md)
- [checkControllerHealth](functions/checkControllerHealth.md)
